{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://ft-nvdb-objects.atlas.vegvesen.no","description":"Generated server url"}],"paths":{"/rest-areas/regular":{"get":{"tags":["NVDB rest areas API (v1)"],"summary":"Get regular rest areas.","description":"Returns a list of regular rest areas.","operationId":"getRegularRestAreas","parameters":[{"name":"X-System-ID","in":"header","description":"Short name of client system","required":true,"schema":{"type":"string"},"example":"SYSTEM-KORTNAVN"},{"name":"countyNumber","in":"query","description":"Filter on county number. Comma-separated list. Filter rest areas matching any of the supplied county numbers. Default no filtering is done.","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int32"}},"example":50},{"name":"roadNumber","in":"query","description":"Filter on road number and/or road category. <br/>Possible values for road category: <ul><li>'E' (Europaveg)</li><li>'R' (Riksveg)</li><li>'F' (Fylkesveg)</li><li>'K' (Kommunal veg)</li></ul>Comma-separated list. <br/>Filter rest areas matching any of the supplied road numbers and/or road categories. Default no filtering is done.","required":false,"schema":{"type":"array","items":{"type":"string"}},"example":"E6"},{"name":"lang","in":"query","description":"Language for closure description text. Supported values: no, nn, en. Default: no.","required":false,"schema":{"type":"string"},"example":"no"},{"name":"Accept","in":"header","schema":{"type":"string","enum":["application/vnd.svv.v1+json; charset"]}}],"responses":{"200":{"description":"Successful operation","content":{"application/vnd.svv.v1+json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/RegularRestAreaResultCollection"}}}},"400":{"description":"Bad request"},"404":{"description":"Not found"},"503":{"description":"Not available"}}}},"/rest-areas/regular/{restAreaIds}":{"get":{"tags":["NVDB rest areas API (v1)"],"summary":"Get specific regular rest areas for supplied NVDB ids.","description":"Returns a list of matching regular rest areas.","operationId":"getRegularRestAreasFromIds","parameters":[{"name":"X-System-ID","in":"header","description":"Short name of client system","required":true,"schema":{"type":"string"},"example":"SYSTEM-KORTNAVN"},{"name":"restAreaIds","in":"path","description":"List of regular rest area NVDB ids","required":true,"schema":{"type":"array","items":{"type":"string"}},"example":"265615642,915657804"},{"name":"lang","in":"query","description":"Language for closure description text. Supported values: no, nn, en. Default: no.","required":false,"schema":{"type":"string"},"example":"no"},{"name":"Accept","in":"header","schema":{"type":"string","enum":["application/vnd.svv.v1+json; charset"]}}],"responses":{"200":{"description":"Successful operation","content":{"application/vnd.svv.v1+json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/RegularRestAreaResultCollection"}}}},"400":{"description":"Bad request"},"404":{"description":"Not found"},"503":{"description":"Not available"}}}},"/rest-areas/overnight":{"get":{"tags":["NVDB rest areas API (v1)"],"summary":"Get overnight rest areas.","description":"Returns a list of overnight rest areas.","operationId":"getOvernightRestAreas","parameters":[{"name":"X-System-ID","in":"header","description":"Short name of client system","required":true,"schema":{"type":"string"},"example":"SYSTEM-KORTNAVN"},{"name":"countyNumber","in":"query","description":"Filter on county number. Comma-separated list. Filter rest areas matching any of the supplied county numbers. Default no filtering is done.","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int32"}},"example":50},{"name":"roadNumber","in":"query","description":"Filter on road number and/or road category. <br/>Possible values for road category: <ul><li>'E' (Europaveg)</li><li>'R' (Riksveg)</li><li>'F' (Fylkesveg)</li><li>'K' (Kommunal veg)</li></ul>Comma-separated list. <br/>Filter rest areas matching any of the supplied road numbers and/or road categories. Default no filtering is done.","required":false,"schema":{"type":"array","items":{"type":"string"}},"example":"E6"},{"name":"lang","in":"query","description":"Language for closure description text. Supported values: no, nn, en. Default: no.","required":false,"schema":{"type":"string"},"example":"no"},{"name":"Accept","in":"header","schema":{"type":"string","enum":["application/vnd.svv.v1+json; charset"]}}],"responses":{"200":{"description":"Successful operation","content":{"application/vnd.svv.v1+json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/OvernightRestAreaResultCollection"}}}},"400":{"description":"Bad request"},"404":{"description":"Not found"},"503":{"description":"Not available"}}}},"/rest-areas/overnight/{restAreaIds}":{"get":{"tags":["NVDB rest areas API (v1)"],"summary":"Get specific overnight rest areas for supplied NVDB ids.","description":"Returns a list of matching overnight rest areas.","operationId":"getOvernightRestAreasFromIds","parameters":[{"name":"X-System-ID","in":"header","description":"Short name of client system","required":true,"schema":{"type":"string"},"example":"SYSTEM-KORTNAVN"},{"name":"restAreaIds","in":"path","description":"List of overnight rest area NVDB ids","required":true,"schema":{"type":"array","items":{"type":"string"}},"example":"265615642,915657804"},{"name":"lang","in":"query","description":"Language for closure description text. Supported values: no, nn, en. Default: no.","required":false,"schema":{"type":"string"},"example":"no"},{"name":"Accept","in":"header","schema":{"type":"string","enum":["application/vnd.svv.v1+json; charset"]}}],"responses":{"200":{"description":"Successful operation","content":{"application/vnd.svv.v1+json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/OvernightRestAreaResultCollection"}}}},"400":{"description":"Bad request"},"404":{"description":"Not found"},"503":{"description":"Not available"}}}},"/height-restrictions":{"get":{"tags":["NVDB height restrictions API (v1)"],"summary":"Get height restrictions.","description":"Returns a list of height restrictions.","operationId":"getHeightRestrictions","parameters":[{"name":"X-System-ID","in":"header","description":"Short name of client system","required":true,"schema":{"type":"string"},"example":"SYSTEM-KORTNAVN"},{"name":"maxClearanceHeight","in":"query","description":"Maximum clearance height (in meters). Only height restrictions with a signposted or calculated height less than or equal to this value will be returned.","required":false,"schema":{"type":"number","format":"double"},"example":4.2},{"name":"countyNumber","in":"query","description":"Filter on county number. Comma-separated list. Filter height restrictions matching any of the supplied county numbers. Default no filtering is done.","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int32"}},"example":50},{"name":"roadNumber","in":"query","description":"Filter on road number and/or road category. <br/>Possible values for road category: <ul><li>'E' (Europaveg)</li><li>'R' (Riksveg)</li><li>'F' (Fylkesveg)</li><li>'K' (Kommunal veg)</li></ul>Comma-separated list. <br/>Filter height restrictions matching any of the supplied road numbers and/or road categories. Default no filtering is done.","required":false,"schema":{"type":"array","items":{"type":"string"}},"example":"E6"},{"name":"Accept","in":"header","schema":{"type":"string","enum":["application/vnd.svv.v1+json; charset"]}}],"responses":{"200":{"description":"Successful operation","content":{"application/vnd.svv.v1+json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/HeightRestrictionResultCollection"}}}},"400":{"description":"Bad request"},"404":{"description":"Not found"},"503":{"description":"Not available"}}}},"/height-restrictions/{heightRestrictionIds}":{"get":{"tags":["NVDB height restrictions API (v1)"],"summary":"Get specific height restrictions with full geometry for supplied NVDB ids.","description":"Returns a list of matching height restrictions.","operationId":"getHeightRestrictionsFromIds","parameters":[{"name":"X-System-ID","in":"header","description":"Short name of client system","required":true,"schema":{"type":"string"},"example":"SYSTEM-KORTNAVN"},{"name":"heightRestrictionIds","in":"path","description":"List of height restriction NVDB ids","required":true,"schema":{"type":"array","items":{"type":"string"}},"example":"265615642,915657804"},{"name":"Accept","in":"header","schema":{"type":"string","enum":["application/vnd.svv.v1+json; charset"]}}],"responses":{"200":{"description":"Successful operation","content":{"application/vnd.svv.v1+json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/HeightRestrictionResultCollection"}}}},"400":{"description":"Bad request"},"404":{"description":"Not found"},"503":{"description":"Not available"}}}},"/area-information/municipalities":{"get":{"tags":["Area information (v1)"],"summary":"Get municipalities.","description":"Returns a list of municipalities.","operationId":"getMunicipalities","parameters":[{"name":"X-System-ID","in":"header","description":"Short name of client system","required":true,"schema":{"type":"string"},"example":"SYSTEM-KORTNAVN"},{"name":"Accept","in":"header","schema":{"type":"string","enum":["application/vnd.svv.v1+json; charset"]}}],"responses":{"200":{"description":"Successful operation","content":{"application/vnd.svv.v1+json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/Municipality"}}}},"400":{"description":"Bad request"},"404":{"description":"Not found"},"503":{"description":"Not available"}}}},"/area-information/counties":{"get":{"tags":["Area information (v1)"],"summary":"Get counties.","description":"Returns a list of counties.","operationId":"getCounties","parameters":[{"name":"X-System-ID","in":"header","description":"Short name of client system","required":true,"schema":{"type":"string"},"example":"SYSTEM-KORTNAVN"},{"name":"Accept","in":"header","schema":{"type":"string","enum":["application/vnd.svv.v1+json; charset"]}}],"responses":{"200":{"description":"Successful operation","content":{"application/vnd.svv.v1+json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/County"}}}},"400":{"description":"Bad request"},"404":{"description":"Not found"},"503":{"description":"Not available"}}}}},"components":{"schemas":{"County":{"required":["code","name"],"type":"object","properties":{"name":{"type":"string"},"code":{"type":"integer","format":"int32"},"bbox":{"type":"array","items":{"type":"number","format":"double"}}},"description":"County area with name, code and optional bounding box"},"Geometry":{"required":["type"],"type":"object","properties":{"type":{"type":"string"}},"discriminator":{"propertyName":"type"},"oneOf":[{"$ref":"#/components/schemas/Point"},{"$ref":"#/components/schemas/LineString"},{"$ref":"#/components/schemas/Polygon"},{"$ref":"#/components/schemas/MultiPoint"},{"$ref":"#/components/schemas/MultiLineString"},{"$ref":"#/components/schemas/MultiPolygon"}]},"LineString":{"required":["coordinates","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/Geometry"},{"type":"object","properties":{"type":{"type":"string","description":"LineString"},"coordinates":{"type":"array","description":"Coordinates in WGS 84 format","items":{"type":"array","description":"Coordinates in WGS 84 format","items":{"type":"number","description":"Coordinates in WGS 84 format","format":"double"}}}}}]},"Metadata":{"required":["overallDataStatus","pagination"],"type":"object","properties":{"overallDataStatus":{"type":"string","enum":["OK","ALL_EXPIRED","SOME_EXPIRED"]},"pagination":{"$ref":"#/components/schemas/Pagination"}},"description":"Meta information describing the data collection"},"MultiLineString":{"required":["coordinates","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/Geometry"},{"type":"object","properties":{"type":{"type":"string","description":"MultiLineString"},"coordinates":{"type":"array","description":"Coordinates in WGS 84 format","items":{"type":"array","description":"Coordinates in WGS 84 format","items":{"type":"array","description":"Coordinates in WGS 84 format","items":{"type":"number","description":"Coordinates in WGS 84 format","format":"double"}}}}}}]},"MultiPoint":{"required":["coordinates","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/Geometry"},{"type":"object","properties":{"type":{"type":"string","description":"MultiPoint"},"coordinates":{"type":"array","description":"Coordinates in WGS 84 format","items":{"type":"array","description":"Coordinates in WGS 84 format","items":{"type":"number","description":"Coordinates in WGS 84 format","format":"double"}}}}}]},"MultiPolygon":{"required":["coordinates","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/Geometry"},{"type":"object","properties":{"type":{"type":"string","description":"MultiPolygon"},"coordinates":{"type":"array","description":"Coordinates in WGS 84 format","items":{"type":"array","description":"Coordinates in WGS 84 format","items":{"type":"array","description":"Coordinates in WGS 84 format","items":{"type":"array","description":"Coordinates in WGS 84 format","items":{"type":"number","description":"Coordinates in WGS 84 format","format":"double"}}}}}}}]},"Municipality":{"required":["code","name"],"type":"object","properties":{"name":{"type":"string"},"code":{"type":"integer","format":"int32"},"bbox":{"type":"array","description":"GeoJSON bounding box containing municipality.","items":{"type":"number","description":"GeoJSON bounding box containing municipality.","format":"double"}}},"description":"Municipality area with name, code and optional bounding box"},"Pagination":{"required":["matchedElements","totalElements"],"type":"object","properties":{"totalElements":{"type":"integer","format":"int32"},"matchedElements":{"type":"integer","format":"int32"}},"description":"Pagination information for collections"},"Point":{"required":["coordinates","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/Geometry"},{"type":"object","properties":{"type":{"type":"string","description":"Point"},"coordinates":{"type":"array","description":"Coordinates in WGS 84 format","items":{"type":"number","description":"Coordinates in WGS 84 format","format":"double"}}}}]},"Polygon":{"required":["coordinates","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/Geometry"},{"type":"object","properties":{"type":{"type":"string","description":"Polygon"},"coordinates":{"type":"array","description":"Coordinates in WGS 84 format","items":{"type":"array","description":"Coordinates in WGS 84 format","items":{"type":"array","description":"Coordinates in WGS 84 format","items":{"type":"number","description":"Coordinates in WGS 84 format","format":"double"}}}}}}]},"RegularRestAreaDTO":{"required":["availableFacilities","closureStatus","id","location","numberOfLargeVehicleSpaces","numberOfSmallVehicleSpaces","unavailableFacilities"],"type":"object","properties":{"id":{"type":"string","description":"Id of rest area (same as NVDB 'Objektid')","example":"265615642"},"name":{"type":"string","description":"Name of rest area","example":"Solbergtårnet"},"numberOfSmallVehicleSpaces":{"type":"integer","description":"Total number of parking spaces for small vehicles (e.g. cars)","format":"int32"},"numberOfLargeVehicleSpaces":{"type":"integer","description":"Total number of parking spaces for large vehicles (e.g. trucks, trailers)","format":"int32"},"availableFacilities":{"uniqueItems":true,"type":"array","description":"Facilities that are available at the rest area","items":{"type":"string","description":"Possible facilities at a rest area","enum":["TOILET","DRINKING_WATER","SHOWER","POWER_OUTLET","OUTDOOR_FURNITURE","PLAYGROUND_EQUIPMENT","CAMERA_SURVEILLANCE","FUEL_FILLING_FACILITY","TRUCK_WASH_BAY","KIOSK","CAFETERIA","LOUNGE","WIFI"]}},"unavailableFacilities":{"uniqueItems":true,"type":"array","description":"Facilities that are explicitly not available at the rest area","items":{"type":"string","description":"Possible facilities at a rest area","enum":["TOILET","DRINKING_WATER","SHOWER","POWER_OUTLET","OUTDOOR_FURNITURE","PLAYGROUND_EQUIPMENT","CAMERA_SURVEILLANCE","FUEL_FILLING_FACILITY","TRUCK_WASH_BAY","KIOSK","CAFETERIA","LOUNGE","WIFI"]}},"winterClosure":{"$ref":"#/components/schemas/WinterClosure"},"toiletWinterClosure":{"$ref":"#/components/schemas/ToiletWinterClosure"},"location":{"$ref":"#/components/schemas/RestAreaLocation"},"closureStatus":{"type":"string","description":"Status for rest area closure","enum":["OPEN","PENDING_CLOSURE","CLOSED"]},"closureInfo":{"$ref":"#/components/schemas/RestAreaClosureInfo"}},"description":"DTO for regular rest area."},"RegularRestAreaResultCollection":{"required":["metadata","restAreas"],"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/Metadata"},"restAreas":{"type":"array","description":"List of regular rest areas","items":{"$ref":"#/components/schemas/RegularRestAreaDTO"}}},"description":"Collection of regular rest areas"},"RestAreaClosureInfo":{"type":"object","properties":{"startDate":{"type":"string","description":"Date when the closure starts","format":"date","example":"2026-01-01"},"endDate":{"type":"string","description":"Date when the closure ends","format":"date","example":"2026-04-01"},"description":{"type":"string","description":"Description of the closure"}},"description":"Planned closure details for a rest area, sourced from tekstapp closure data"},"RestAreaLocation":{"required":["geometry"],"type":"object","properties":{"geometry":{"$ref":"#/components/schemas/Point"},"counties":{"type":"array","description":"List of counties.","items":{"$ref":"#/components/schemas/County"}},"municipalities":{"type":"array","description":"List of municipalities.","items":{"$ref":"#/components/schemas/Municipality"}},"roads":{"type":"array","description":"List of roads.","items":{"$ref":"#/components/schemas/Road"}}},"description":"Location information for rest area"},"Road":{"required":["name","number"],"type":"object","properties":{"name":{"type":"string","description":"Road name"},"number":{"type":"string","description":"Road number"},"category":{"type":"string","description":"Road category/road system reference name. Possible values: <ul><li>'E' (Europaveg)</li><li>'R' (Riksveg)</li><li>'F' (Fylkesveg)</li><li>'K' (Kommunal veg)</li><li>'P' (Privat veg)</li><li>'S' (Skogsveg)</li></ul>"},"bbox":{"type":"array","description":"GeoJSON bounding box containing road.","items":{"type":"number","description":"GeoJSON bounding box containing road.","format":"double"}},"geometry":{"$ref":"#/components/schemas/Geometry"}},"description":"Road with name, number, category, bounding box and geometry"},"ToiletWinterClosure":{"required":["status"],"type":"object","properties":{"status":{"type":"string","description":"Toilet winter closure status","enum":["OPEN","CLOSED","MISSING_DATA"]},"closedFrom":{"type":"string","description":"Date (yyyy-MM-dd) when toilets are normally closed for the winter. Required if status = CLOSED.","format":"date","example":"2025-12-01"},"closedTo":{"type":"string","description":"Date (yyyy-MM-dd) when toilets are normally reopened after winter. Required if status = CLOSED.","format":"date","example":"2026-04-01"}},"description":"Information about winter closure of the toilet facility"},"WinterClosure":{"required":["type"],"type":"object","properties":{"type":{"type":"string","description":"Indicates the extent to which the rest area is closed or maintained during winter","enum":["OPEN","DRIVEWAY_ONLY","FULLY_CLOSED"]},"fullyClosedFrom":{"type":"string","description":"Date (yyyy-MM-dd) when the rest area is normally fully closed for winter. Only relevant if winterClosure is FULLY_CLOSED.","format":"date","example":"2025-12-01"},"fullyClosedTo":{"type":"string","description":"Date (yyyy-MM-dd) when the rest area is normally reopened after full winter closure. Only relevant if winterClosure is FULLY_CLOSED.","format":"date","example":"2026-04-01"}},"description":"Information about winter closure of the rest area"},"OvernightRestAreaDTO":{"required":["availableFacilities","closureStatus","hasRealtimeCapacityInfo","id","location","numberOfLargeVehicleSpaces","unavailableFacilities"],"type":"object","properties":{"id":{"type":"string","description":"Id of rest area (same as NVDB 'Objektid')","example":"915657804"},"name":{"type":"string","description":"Name of rest area","example":"Svinesundparken"},"availableFacilities":{"uniqueItems":true,"type":"array","description":"Facilities that are available at the rest area","items":{"type":"string","description":"Possible facilities at a rest area","enum":["TOILET","DRINKING_WATER","SHOWER","POWER_OUTLET","OUTDOOR_FURNITURE","PLAYGROUND_EQUIPMENT","CAMERA_SURVEILLANCE","FUEL_FILLING_FACILITY","TRUCK_WASH_BAY","KIOSK","CAFETERIA","LOUNGE","WIFI"]}},"unavailableFacilities":{"uniqueItems":true,"type":"array","description":"Facilities that are explicitly not available at the rest area","items":{"type":"string","description":"Possible facilities at a rest area","enum":["TOILET","DRINKING_WATER","SHOWER","POWER_OUTLET","OUTDOOR_FURNITURE","PLAYGROUND_EQUIPMENT","CAMERA_SURVEILLANCE","FUEL_FILLING_FACILITY","TRUCK_WASH_BAY","KIOSK","CAFETERIA","LOUNGE","WIFI"]}},"numberOfLargeVehicleSpaces":{"type":"integer","description":"Total number of parking spaces for large vehicles (e.g. trucks, trailers)","format":"int32"},"numberOfLargeVehicleSpacesWithCharging":{"type":"integer","description":"Number of parking spaces for large vehicles that have dedicated charging points","format":"int32"},"hasOtherLargeVehicleCharging":{"type":"boolean","description":"Indicates whether other charging facilities for large vehicles are available"},"location":{"$ref":"#/components/schemas/RestAreaLocation"},"hasRealtimeCapacityInfo":{"type":"boolean","description":"Indicates whether the rest area has real-time capacity information"},"realtimeCapacity":{"$ref":"#/components/schemas/RealtimeCapacityInfo"},"closureStatus":{"type":"string","description":"Status for rest area closure","enum":["OPEN","PENDING_CLOSURE","CLOSED"]},"closureInfo":{"$ref":"#/components/schemas/RestAreaClosureInfo"}},"description":"DTO for overnight rest area."},"OvernightRestAreaResultCollection":{"required":["metadata","restAreas"],"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/Metadata"},"restAreas":{"type":"array","description":"List of overnight rest areas","items":{"$ref":"#/components/schemas/OvernightRestAreaDTO"}}},"description":"Collection of overnight rest areas"},"RealtimeCapacityInfo":{"required":["availabilityLevel","availableSpaces","lastUpdated"],"type":"object","properties":{"availableSpaces":{"type":"integer","description":"Number of available spaces","format":"int32"},"cameraUrls":{"type":"array","description":"List of URLs to live camera feeds","items":{"type":"string","description":"List of URLs to live camera feeds"}},"availabilityLevel":{"type":"string","description":"Estimated availability level for rest area","enum":["MANY","SOME","FEW"]},"lastUpdated":{"pattern":"yyyy-MM-dd'T'HH:mm:ssXXX","type":"string","description":"Date and time when the capacity information was last updated","format":"date-time","example":"2025-01-01T12:00:00Z"}},"description":"Realtime capacity information for rest area."},"HeightRestrictionDTO":{"required":["clearanceHeight","id","location","type"],"type":"object","properties":{"id":{"type":"string","description":"Id of height restriction (same as NVDB 'Objektid')","example":"265615642"},"type":{"type":"string","description":"Type of height restriction.","example":"TUNNEL","enum":["UNDERPASS_OR_BRIDGE","AVALANCHE_SHELTER","BRIDGE_STAY","OVERHEAD_LINE","CABLE","BRIDGE_CABLE","SIGN_PORTAL_OR_WIRE","TUNNEL","FERRY_CONNECTION","BUILDING","OTHER"]},"name":{"type":"string","description":"Name of height restriction","example":"Ørebekktunnelen"},"clearanceHeight":{"type":"number","description":"Max clearance height of restriction. Using posted sign height ('skiltet høyde') if available, otherwise derived height ('beregnet høyde') is used.","format":"double"},"location":{"$ref":"#/components/schemas/Location"}},"description":"DTO for height restriction."},"HeightRestrictionResultCollection":{"required":["heightRestrictions","metadata"],"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/Metadata"},"heightRestrictions":{"type":"array","description":"List of height restrictions","items":{"$ref":"#/components/schemas/HeightRestrictionDTO"}}},"description":"Collection of height restrictions"},"Location":{"required":["position"],"type":"object","properties":{"position":{"$ref":"#/components/schemas/Point"},"geometry":{"$ref":"#/components/schemas/Geometry"},"bbox":{"maxItems":4,"minItems":4,"type":"array","description":"Two-dimensional GeoJSON bbox [minLon, minLat, maxLon, maxLat].","example":[10.0,59.0,11.0,60.0],"items":{"type":"number","format":"double"}},"counties":{"type":"array","description":"List of counties.","items":{"$ref":"#/components/schemas/County"}},"municipalities":{"type":"array","description":"List of municipalities.","items":{"$ref":"#/components/schemas/Municipality"}},"roads":{"type":"array","description":"List of roads.","items":{"$ref":"#/components/schemas/Road"}}},"description":"Location information for height restriction."}}}}